/* 
 * This CSS file contains customized styles for certain pages.
 * This file must be loaded after bootstrap.min.css.
*/

/*--Top page article section--*/
.hidden {
    display: none !important;
}

.section-title {
    font-weight: bold;
    font-size: clamp(1.5rem, calc(1.25rem + 0.625vw), 2rem);
    letter-spacing: 2px;
    margin-bottom: 0.75rem;
}

.section-description {
    font-weight: bold;
    font-size: clamp(0.875rem, calc(0.5rem + 0.625vw), 1rem);
    margin-bottom: 1.875rem;
}

.section-orange .section-title {
    color: var(--color-orange-dark);
}

.section-pink .section-title {
    color: #DD5B80;
}

.articles-row .col {
    max-height: 999px;
    transition: all .5s;
}

    .articles-row .col.is-hidden {
        max-height: 0;
        opacity: 0;
        visibility: hidden;
    }
/*--End of Top page article section--*/
/*-- Article component --*/
.article-card {
    color: var(--color-main);
    border-radius: 13px;
    border-width: 0;
}

    .article-card .card-thumbnail {
        position: relative;
        width: 100%;
    }

        .article-card .card-thumbnail .label {
            position: absolute;
            top: 10px;
            left: 10px;
            display: inline-flex;
            align-items: center;
            gap: 10px;
            background-color: var(--color-orange-dark);
            color: #FFFFFF;
            border-radius: 5px;
            font-weight: bold;
            padding: 5px 8px;
            font-size: 14px;
        }

            .article-card .card-thumbnail .label img {
                height: 21px;
            }

        .article-card .card-thumbnail .thumbnail {
            height: 100%;
            width: 100%;
            object-fit: contain;
        }

    .article-card .card-body {
        padding: 1.125rem 1.625rem;
        border-bottom-left-radius: 13px;
        border-bottom-right-radius: 13px;
    }

        .article-card .card-body .card-title {
            font-size: clamp(0.875rem, calc(0.625rem + 0.625vw), 1.125rem);
            font-weight: bold;
            line-height: 1.5rem;
            min-height: 4.5rem;
            margin-bottom: 0.75rem;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
            overflow: hidden;
        }

        .article-card .card-body .card-text {
            font-size: 1rem;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 5;
            overflow: hidden;
            margin-bottom: 0.875rem;
            min-height: 120px;
        }

    .article-card .card-tag {
        font-size: 13px
    }

        .article-card .card-tag span {
            position: relative;
            display: inline-block;
            padding-left: 0.5rem;
            margin-right: 0.8rem;
            color: var(--color-main);
        }

            .article-card .card-tag span::before {
                position: absolute;
                content: "#";
                left: 0;
            }
/* apply background color based on the section name */
.section-orange .article-card .card-body {
    background-color: #FFEDC9;
}

.section-pink .article-card .card-body {
    background-color: #FFE3E9;
}
/*-- End of Article component --*/
/*-- Article toggle button --*/
.article-toggle-btn {
    border-radius: 40px;
    padding: 20px 30px;
    font-size: 1.125rem;
    width: 380px;
    position: relative;
}

    .article-toggle-btn::after {
        content: "";
        position: absolute;
        right: 1.5rem;
        top: 50%;
        transform: translateY(-50%) rotate(135deg);
        width: 0.7rem;
        height: 0.7rem;
        border-right: 2px solid #FFFFFF;
        border-top: 2px solid #FFFFFF;
        border-radius: 2px;
    }

    .article-toggle-btn[data-expanded="true"]::after {
        transform: translateY(-30%) rotate(-45deg);
    }
/* apply background color based on the section name */
.section-orange .article-toggle-btn {
    background: linear-gradient(90deg, #E35304, #F88D01);
}

.section-pink .article-toggle-btn {
    background: linear-gradient(90deg, #DD5B80, #F798B5);
}

.section-beige .article-card .card-body {
    background-color: #F6F4EC;
}

.section-beige .section-title {
    color: var(--color-orange-dark);
}
/*-- End of Article toggle button --*/

/* sree */
.info-box {
    background-color: #fbf3e8;
    border: 2px solid #f5a623;
    border-radius: 16px;
    padding: 24px;
}

.info-text {
    color: #3b5aa9;
    font-size: 16px;
    line-height: 1.8;
}

    .info-text a {
        color: #3b5aa9;
        text-decoration: underline;
    }

.book-img {
    max-width: 120px;
    height: auto;
}

.container-booklet {
    width: 70%;
    margin: auto;
    /* margin-right: 31rem; */
    /* margin-left: 5rem; */
}
/* sreeend */
/* page-1001 css */
.news-container a {
    border-bottom: 1px solid #E35205;
    display: inline-block;
}

.news-date {
    font-size: 1.688rem;
}

.news-children, .news-adult {
    font-size: 0.938rem;
    width: 77px;
    height: 31px;
    border-radius: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.news-children {
    background-color: #FFE3E9;
    color: #D84C97;
}

.news-adult {
    background-color: #FFEDC9;
    color: #E35304;
}

.news-text {
    font-size: 1rem;
}

.news-container a {
    position: relative;
}

.news-container div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 1.2rem 0rem 1.2rem 0rem;
}

.card-medical {
    padding-left: 0;
    display: flex;
    align-items: center;
    width: 420px;
    height: 155px;
    background-color: var(--color-background-beige);
    border-radius: 12px;
    /* margin: 4.5rem auto; */
}
/* @media (max-width: 767.98px) {
   .card-medical {
        flex-direction: column;
        height: auto;
        margin-bottom: 0rem;
        width: 100%;
        height: 402px;
    } */
/* .card-medical-img{
  
    width: 155px;
    height: 155px;
    margin-right:32px;
    
 } */
/* } */
@media (min-width: 1200px) {
    .news-container a::after {
        content: "";
        position: absolute;
        right: 1rem;
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
        width: 0.6rem;
        height: 0.6rem;
        border-right: 2px solid #E35205;
        border-top: 2px solid #E35205;
    }
}

@media (min-width: 768px) and (max-width: 1200px) {
    .new::after {
        top: 50%;
        margin-top: 1.7rem;
        content: "";
        position: absolute;
        right: 1rem;
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
        width: 0.6rem;
        height: 0.6rem;
        border-right: 2px solid #E35205;
        border-top: 2px solid #E35205;
    }
}
/* End of page-1001 css */
/* Responsive: Mobile view 390px~768px */
@media (max-width: 767.98px) {
    /*-- Article component --*/
    .section-title {
        font-size: 1.75rem;
    }

    .section-description {
        font-size: 1rem;
    }

    .article-card .card-body .card-title {
        font-size: 1.125rem;
        min-height: auto;
    }

    .article-card .card-body .card-text {
        min-height: auto;
    }
    /*-- End of Article component --*/
    /*-- Article toggle button --*/
    .article-toggle-btn {
        border-radius: 40px;
        padding: 13px 30px;
        font-size: 1.125rem;
        width: 100%;
    }
    /*-- End of Article toggle button --*/
    /* page-1001 css */
    .news-container a {
        position: relative;
    }

    .new::after {
        top: 50%;
        margin-top: 1.7rem;
        content: "";
        position: absolute;
        right: 1rem;
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
        width: 0.6rem;
        height: 0.6rem;
        border-right: 2px solid #E35205;
        border-top: 2px solid #E35205;
    }
}
/*--END of mobile responsive--*/

/* Responsive: Tablet view 769px~1080px */
@media (min-width: 768px) and (max-width: 1079.98px) {
    .article-card .card-body {
        padding: 1rem 1.25rem;
    }

        .article-card .card-body .card-title {
            font-size: 15px;
        }

        .article-card .card-body .card-text {
            font-size: 13px;
            min-height: 100px;
        }
    /* page-1001 css */
    .news-container a::after {
        top: 75%;
        right: 0.3rem;
    }

    .news-container div {
        justify-content: start;
    }

    .news-date {
        margin-right: 1.5rem;
    }
}
/*--END of table responsive--*/

/* Responsive: Desktop view 1440px~1920px only if necessary */
@media (min-width: 1440px) and (max-width: 1919.98px) {
    /*-- Article component --*/
    .article-card .card-body .card-text {
        min-height: 100px;
    }
    /*-- End of Article component --*/
}
/*--END of desktop responsive--*/

/* Responsive: Extra Large Desktop view > 1920px */
@media (min-width: 1920px) {
    /*-- Article component --*/
    .article-card .card-body .card-text {
        min-height: 100px;
    }
    /*-- End of Article component --*/
}
/*--END of extra large desktop responsive--*/
